package com.ajb.car.quotation.service;

import java.util.List;
import org.springframework.data.domain.Sort;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import com.ajb.car.entity.apimessage.AgTransVehicleMsgOrigin;

public interface AgTransVehicleMsgOriginService {
	AgTransVehicleMsgOrigin save(AgTransVehicleMsgOrigin agtransvehiclemsgorigin);
	Boolean delete (Long id);
	AgTransVehicleMsgOrigin update(AgTransVehicleMsgOrigin agtransvehiclemsgorigin);
	AgTransVehicleMsgOrigin findById(Long id);
	Page<AgTransVehicleMsgOrigin> findByObjPageable(AgTransVehicleMsgOrigin agtransvehiclemsgorigin,Pageable pageable);
	List<AgTransVehicleMsgOrigin> findByObjSortable(AgTransVehicleMsgOrigin agtransvehiclemsgorigin,Sort sort);
}